// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

  .run(function ($ionicPlatform) {
    $ionicPlatform.ready(function () {
      if (window.cordova && window.cordova.plugins.Keyboard) {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

        // Don't remove this line unless you know what you are doing. It stops the viewport
        // from snapping when text inputs are focused. Ionic handles this internally for
        // a much nicer keyboard experience.
        cordova.plugins.Keyboard.disableScroll(true);
      }
      if (window.StatusBar) {
        StatusBar.styleDefault();
      }

      admob.createBannerView({publisherId: "ca-app-pub-4263436707056371/9650530842", interstitialAdId: "ca-app-pub-4263436707056371/3045594045"});

    });
  }).controller("indexCtrl", function ($scope) {

    var msg = 'Cara, baixa a bola aí vai!';
    var appUrl = 'http://onelink.to/abola';

    $scope.shareWhatsApp = function () {
      window.plugins.socialsharing.shareViaWhatsApp(msg, null, appUrl, successShare, errorShare);
    };

    $scope.shareFacebook = function () {
      window.plugins.socialsharing.shareViaFacebook(msg, null, appUrl, successShare, errorShare);
    };

    $scope.shareAnywhere = function () {
      window.plugins.socialsharing.share(msg, msg, null, appUrl, successShare, errorShare);
    };

    function successShare(x) {
      console.log(x);
    }

    function errorShare(x) {
      console.log(x);
    }
  });
